ruscomap/script/AggiornaRuscoMap.sh
2024-09-21 02:44:31 +02:00

33 lines
No EOL
1.3 KiB
Bash
Executable file

#!/bin/bash
set -eux
# Script per aggiornare ruscomap
# nano /var/www/html/leaflet/ruscomap/AggiornaRuscoMap.sh
ruscomap_dir="/var/www/html/leaflet/ruscomap"
ruscomap_public="/var/www/html/leaflet/ruscomap/public"
echo -e "\nStoppo ruscomap..."
systemctl stop ruscomap.service || echo -e "\nErrore nell'arrestare ruscomap!\n"
cd "${ruscomap_dir}" || exit 1
echo -e "\nEseguo git pull..."
git pull || (echo -e "\nErrore git!\n" && exit 1)
cd "server" || exit 1
npm ci
systemctl start ruscomap.service
echo -e "\nDo permessi www-data..."
chown -R www-data:www-data "$ruscomap_public" || echo -e "\nErrore nel dare i permessi a $ruscomap_public \n"
echo -e "\nrestarto apache e ruscomap"...
systemctl restart apache2.service && echo "apache restart"
systemctl start ruscomap.service && echo "rusco restart"
echo -e "\nDo permessi di esecuzione allo script di aggiornamento.."
chmod +x /var/www/html/leaflet/ruscomap/script/AggiornaRuscoMap.sh || echo -e "\nErrore nel dare i permessi a /var/www/html/leaflet/ruscomap/script/AggiornaRuscoMap.sh\n"
echo -e "Do permessi di esecuzione allo script pulisci_vecchio_rusco.sh.."
chmod +x /var/www/html/leaflet/ruscomap/script/pulisci_vecchio_rusco.sh || echo -e "\nErrore nel dare i permessi a /var/www/html/leaflet/ruscomap/script/pulisci_vecchio_rusco.sh\n"
echo -e "\nAggiornamento completato!\n"